
D4Science Infrastructure - Task #12252

VRE Modeler FARM VO reports only 12 VREs whereas they are circa 28

Jul 26, 2018 05:22 PM - Massimiliano Assante

Status: Closed Start date: Jul 26, 2018

Priority: Normal Due date: Nov 16, 2018

Assignee: Massimiliano Assante % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: VREModeler issues   

Infrastructure: Production   

Description

The VRE list returned from the modeller here: https://services.d4science.org/group/farm/vre-manager contains 12 VREs only

But they are 29 active VREs an if i Look in the monitor i can count 30 

List of active VREs in FARM VO: 

AGINFRAplusShowcase   Restricted

ARDAG_Aquaculture Private

AlieiaVRE Private

AquaMaps  Private

Aquabiotech   Private

CFE_DATA  Private

CWP_Secretariat   Restricted

CollabResearch    Restricted

D4STeam   Private

EMPHASIS  Restricted

EUChinaFoodSTAR   Private

EllinikaPsariaVRE Private

nForkysVRE    Private

GALAXIDI  Private

GRSF  Open

GRSF_Admin    Restricted

ICDI  Restricted

KIMAGRO_Fishfarming   Private

MARKELLOS_Aquaculture Private

NHREUS_Aquaculture    Private

STRATOS_AQUACULTURES  Private

SpatialDataLab    Open

SustainableBlueEconomy    Open

TBTI_VRE  Private

VME-DB    Private

WECAFC-FIRMS  Private

iLKNAK_Aquaculture    Private

iMarineBoardVRE   Private

FIT4RRI restricted

History

#1 - Jul 26, 2018 05:41 PM - Massimiliano Assante

And now the number is 29 as I just deployed a new VRE named FIT4RRI
#2 - Jul 26, 2018 05:42 PM - Massimiliano Assante

- Description updated

#3 - Oct 23, 2018 04:52 PM - Massimiliano Assante

- Due date changed from Jul 27, 2018 to Nov 16, 2018

#4 - Oct 23, 2018 04:53 PM - Massimiliano Assante

- Assignee changed from Lucio Lelii to Roberto Cirillo

#5 - Oct 23, 2018 04:53 PM - Massimiliano Assante

- Priority changed from Urgent to Normal

#6 - Oct 23, 2018 05:17 PM - Roberto Cirillo

I'm not the VREModeler owner and I don't know how it works but my suspect is that the missing VREs are simply expired.

The default expired date in the VREDefinition portlet is set to one year.

In addition, all the VRE present in the VREManager portlet are not very old.

Could that be the case here?

#7 - Oct 23, 2018 06:07 PM - Massimiliano Assante

Roberto Cirillo wrote:

I'm not the VREModeler owner and I don't know how it works but my suspect is that the missing VREs are simply expired.

 Nope, the expired VREs would appear and be listed as Expired/Undeployed.

The default expired date in the VREDefinition portlet is set to one year.

In addition, all the VRE present in the VREManager portlet are not very old.

Could that be the case here?

#8 - Oct 24, 2018 11:41 AM - Roberto Cirillo

I'm going to create a test VRE on FARM that will expire after one day.  In this way I can verify if the new VRE will be present under "Disposed VRE"

list as expected.

#9 - Oct 24, 2018 11:52 AM - Roberto Cirillo

TestVRE created on FARM, it will expire tomorrow. Now it is present under "deployed VREs" list as expected.

#10 - Oct 25, 2018 12:18 PM - Roberto Cirillo

- Tracker changed from Incident to Task

The new VRE has been correctly disposed so I guess it isn't an expired problem.

I'm going to change this ticket to Task since the missing VREs are used without any problem.

I guess we should find a way to recreate the VRE in the VREModeler internal state. @lucio.lelii@isti.cnr.it do have you any suggestions?

#11 - Nov 22, 2018 05:08 PM - Roberto Cirillo

- Target version changed from No Sprint  to VREModeler issues

#13 - Dec 07, 2018 10:02 AM - Roberto Cirillo

- Status changed from New to In Progress

First, I'm going to fix the following VREs in preprod environment:

preVRE

Dorne

#14 - Dec 07, 2018 11:09 AM - Roberto Cirillo

preVRE and Dorne VRE have been fixed properly.

Dorne was not present on ResourceManager internal state instead preVRE was present.

For preVRE I've cut the  ScopedResources defined on VRE Generic Resource as done in Dorne and, in addition, I've manually removed the

serialized internal state on ResourceManager service. After that, I've recreated both the VREs by VREModeler and pasted the ScopedResources on
their respective GenericResources.

Now such VREs are back on VREModeler and the new expiration date on Dorne and preVRE now is fixed to Fri, Dec 6, '30. 

Now I'm going to restore the VREs under FARM VO. @massimiliano.assante@isti.cnr.it  what expiration date do you suggest?

#15 - Dec 07, 2018 11:13 AM - Massimiliano Assante

Now I'm going to restore the VREs under FARM VO. what expiration date do you suggest?

 Thanks, i suggest an expiration date of at least 5 years. 15/02/2024 

#16 - Dec 07, 2018 11:36 AM - Roberto Cirillo

This is the list of all the VREs that are present only on infrastructure-monitor and that should be restored on VREManager:

ARDAG_Aquaculture

AlieiaVRE

AquaMaps (is it really needed?)

Aquabiotech

CFE_DATA

CWP_Secretariat

CollabResearch

EllinikaPsariaVRE

ForkysVRE

GALAXIDI

GRSF

GRSF_Admin

MARKELLOS_Aquaculture

NHREUS_Aquaculture

STRATOS_AQUACULTURES

SustainableBlueEconomy

iLKNAK_Aquaculture

iMarineBoardVRE

 Please @massimiliano.assante@isti.cnr.it  could you check if all these VREs should be restored on VREManager? Maybe there are some VREs that

have been already dismissed.

#17 - Dec 07, 2018 11:40 AM - Massimiliano Assante

Pleasecould you check if all these VREs should be restored on VREManager? Maybe there are some VREs that have been already dismissed.

 in fact AquaMaps is not needed anymore it was undeployed. The rest should be restored

#18 - Dec 07, 2018 03:44 PM - Roberto Cirillo

ARDAG_Aquaculture is back

#19 - Dec 10, 2018 11:15 AM - Roberto Cirillo

- % Done changed from 0 to 10

AlieiaVRE is back.

#20 - Dec 10, 2018 12:04 PM - Roberto Cirillo

- % Done changed from 10 to 20

Aquamaps removed (it was still present on infra monitor) and Aquabiotech restored.

#21 - Dec 10, 2018 12:29 PM - Roberto Cirillo

CFE_DATA restored

#22 - Dec 10, 2018 12:47 PM - Roberto Cirillo

- % Done changed from 20 to 30

CWP_Secretariat is back
#23 - Dec 10, 2018 03:33 PM - Roberto Cirillo

CollabResearch is back

#24 - Dec 10, 2018 03:51 PM - Roberto Cirillo

- % Done changed from 30 to 40

D4STeam has been restored

#25 - Dec 10, 2018 04:42 PM - Roberto Cirillo

EMPHASIS VRE restored.

#26 - Dec 10, 2018 05:08 PM - Roberto Cirillo

EllinikaPsariaVRE restored.

#27 - Dec 10, 2018 06:17 PM - Roberto Cirillo

- % Done changed from 40 to 50

ForkysVRE restored

#28 - Dec 11, 2018 10:50 AM - Roberto Cirillo

GALAXIDI VRE restored

#29 - Dec 11, 2018 10:55 AM - Roberto Cirillo

Roberto Cirillo wrote:

This is the list of all the VREs that are present only on infrastructure-monitor and that should be restored on VREManager:

ARDAG_Aquaculture

AlieiaVRE

AquaMaps (is it really needed?)

Aquabiotech

CFE_DATA

CWP_Secretariat

CollabResearch

EllinikaPsariaVRE

ForkysVRE

GALAXIDI

GRSF

GRSF_Admin

MARKELLOS_Aquaculture

NHREUS_Aquaculture

STRATOS_AQUACULTURES

SustainableBlueEconomy

iLKNAK_Aquaculture

iMarineBoardVRE

 Please @massimiliano.assante@isti.cnr.it  could you check if all these VREs should be restored on VREManager? Maybe there are some VREs

that have been already dismissed.

 as reported here #9115 the following VREs should be dismissed:

EllinikaPsariaVRE

AlieiaVRE

ForkysVRE

But I've already restored them...

Please, @massimiliano.assante@isti.cnr.it  could you tell me if the VREs above should be dismissed or restored?

#30 - Dec 11, 2018 11:36 AM - Roberto Cirillo

- % Done changed from 50 to 60

GRSF restored and GRSF_Admin was already present
#31 - Dec 12, 2018 11:21 AM - Roberto Cirillo

- % Done changed from 60 to 70

MARKELLOS_Aquaculture is back

#32 - Dec 12, 2018 12:13 PM - Roberto Cirillo

NHREUS_Aquaculture restored

#33 - Dec 12, 2018 12:35 PM - Roberto Cirillo

- % Done changed from 70 to 80

STRATOS_AQUACULTURES restored

#34 - Dec 12, 2018 02:38 PM - Roberto Cirillo

SustainableBlueEconomy restored

#35 - Dec 12, 2018 03:21 PM - Roberto Cirillo

- % Done changed from 80 to 90

iLKNAK_Aquaculture restored

#36 - Dec 12, 2018 03:45 PM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Massimiliano Assante

- % Done changed from 90 to 100

iMarineBoardVRE is back.

Finally, all the VREs have been successfully restored. I'm going to re assign this ticket to @massimiliano.assante@isti.cnr.it since there is a pending

question on  the following VREs:

EllinikaPsariaVRE

AlieiaVRE

ForkysVRE

#37 - Dec 12, 2018 03:52 PM - Massimiliano Assante

Roberto Cirillo wrote:

Roberto Cirillo wrote:

This is the list of all the VREs that are present only on infrastructure-monitor and that should be restored on VREManager:

ARDAG_Aquaculture

AlieiaVRE

AquaMaps (is it really needed?)

Aquabiotech

CFE_DATA

CWP_Secretariat

CollabResearch

EllinikaPsariaVRE

ForkysVRE

GALAXIDI

GRSF

GRSF_Admin

MARKELLOS_Aquaculture

NHREUS_Aquaculture

STRATOS_AQUACULTURES

SustainableBlueEconomy

iLKNAK_Aquaculture

iMarineBoardVRE

 Please @massimiliano.assante@isti.cnr.it  could you check if all these VREs should be restored on VREManager? Maybe there are some

VREs that have been already dismissed.

 as reported here #9115 the following VREs should be dismissed:
EllinikaPsariaVRE

AlieiaVRE

ForkysVRE

But I've already restored them...

Please, @massimiliano.assante@isti.cnr.it  could you tell me if the VREs above should be dismissed or restored?

 There is a confusion here Roberto, look at the VO!, at the time of the ticket (June 2017) we moved the 3 VREs above (Ellenika etc.) from gCubeApps

VO to the FARM VO. This ticket was about the fact that these 3 VREs wouldn't undeploy from gCubeApps VO.

#38 - Dec 12, 2018 04:01 PM - Roberto Cirillo

Massimiliano Assante wrote:

Roberto Cirillo wrote:

Roberto Cirillo wrote:

This is the list of all the VREs that are present only on infrastructure-monitor and that should be restored on VREManager:

ARDAG_Aquaculture

AlieiaVRE

AquaMaps (is it really needed?)

Aquabiotech

CFE_DATA

CWP_Secretariat

CollabResearch

EllinikaPsariaVRE

ForkysVRE

GALAXIDI

GRSF

GRSF_Admin

MARKELLOS_Aquaculture

NHREUS_Aquaculture

STRATOS_AQUACULTURES

SustainableBlueEconomy

iLKNAK_Aquaculture

iMarineBoardVRE

 Please @massimiliano.assante@isti.cnr.it  could you check if all these VREs should be restored on VREManager? Maybe there are

some VREs that have been already dismissed.

 as reported here #9115 the following VREs should be dismissed:

EllinikaPsariaVRE

AlieiaVRE

ForkysVRE

But I've already restored them...

Please, @massimiliano.assante@isti.cnr.it  could you tell me if the VREs above should be dismissed or restored?

 There is a confusion here Roberto, look at the VO!, at the time of the ticket (June 2017) we moved the 3 VREs above (Ellenika etc.) from

gCubeApps VO to the FARM VO. This ticket was about the fact that these 3 VREs wouldn't undeploy from gCubeApps VO.

 It's correct but if you look the VREManager in gCubeApps VO you can notice that these VRE are not present anymore there but the ticket #9115 is

still open.

Are there disappeared? 

#39 - Dec 12, 2018 04:07 PM - Massimiliano Assante

There is a confusion here Roberto, look at the VO!, at the time of the ticket (June 2017) we moved the 3 VREs above (Ellenika etc.) from

gCubeApps VO to the FARM VO. This ticket was about the fact that these 3 VREs wouldn't undeploy from gCubeApps VO.

 It's correct but if you look the VREManager in gCubeApps VO you can notice that these VRE are not present anymore there but the ticket #9115

is still open.

Are there disappeared?
 By reading the ticket #9115 it seems that on July 3 2017 You removed these VREs manually then put the ticket on pause because not all the

resources were correctly cleaned. Ans you were supposed to try to recreate the VREs and delete them in a correct way.

Guess this is why the ticket was not closed :)

#40 - Dec 12, 2018 04:28 PM - Roberto Cirillo

- Status changed from Feedback to Closed

Massimiliano Assante wrote:

There is a confusion here Roberto, look at the VO!, at the time of the ticket (June 2017) we moved the 3 VREs above (Ellenika etc.)

from gCubeApps VO to the FARM VO. This ticket was about the fact that these 3 VREs wouldn't undeploy from gCubeApps VO.

 It's correct but if you look the VREManager in gCubeApps VO you can notice that these VRE are not present anymore there but the ticket 

#9115 is still open.

Are there disappeared?

 By reading the ticket #9115 it seems that on July 3 2017 You removed these VREs manually then put the ticket on pause because not all the

resources were correctly cleaned. Ans you were supposed to try to recreate the VREs and delete them in a correct way.

Guess this is why the ticket was not closed :)

 You are right, I'm sorry. I'm going to close this ticket.
